Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.font
Class PDType3Font

    java.lang.Object
      org.pdfbox.pdmodel.font.PDFont
          org.pdfbox.pdmodel.font.PDSimpleFont
              org.pdfbox.pdmodel.font.PDType3Font

All Implemented Interfaces:
  COSObjectable

public class PDType3Font
extends PDSimpleFont

This is implementation of the Type3 Font.

Version:
  $Revision: 1.6 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Field Summary

Fields inherited from class org.pdfbox.pdmodel.font.PDFont
`font`

Constructor Summary
`PDType3Font()` Constructor.
`PDType3Font(COSDictionary fontDictionary)` Constructor.

Method Summary
`void` | `drawString(String string, Graphics g, float fontSize, float x, float y)` This will draw a string on a canvas using the font.
`void` | `setFontMatrix(PDMatrix matrix)` Set the font matrix for this type3 font.

Methods inherited from class org.pdfbox.pdmodel.font.PDSimpleFont
`drawString, getAverageFontWidth, getFontDescriptor, getFontWidth, getToUnicode, setFontDescriptor, setToUnicode`

Methods inherited from class org.pdfbox.pdmodel.font.PDFont
`clearResources, encode, getAFM, getAverageFontWidthFromAFMFile, getBaseFont, getCodeFromArray, getCOSObject, getEncoding, getFirstChar, getFontMatrix, getFontWidthFromAFMFile, getLastChar, getStringWidth, getSubType, getType, getWidths, setBaseFont, setEncoding, setFirstChar, setLastChar, setWidths`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDType3Font

    public PDType3Font()

  Constructor.

### PDType3Font

    public PDType3Font(COSDictionary fontDictionary)

  Constructor.

Parameters:
  `fontDictionary` - The font dictionary according to the PDF specification.

Method Detail

### drawString

    public void drawString(String string,
                           Graphics g,
                           float fontSize,
                           float x,
                           float y)
                    throws IOException

  This will draw a string on a canvas using the font.

  Parameters:
    `string` - The string to draw.
    `g` - The graphics to draw onto.
    `fontSize` - The size of the font to draw.
    `x` - The x coordinate to draw at.
    `y` - The y coordinate to draw at.
  Throws:
    `IOException` - If there is an error drawing the image on the screen.

### setFontMatrix

    public void setFontMatrix(PDMatrix matrix)

  Set the font matrix for this type3 font.

  Parameters:
    `matrix` - The font matrix for this type3 font.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD